Package org.eclipse.ui

# Interface IWorkbenchWindowPulldownDelegate

All Superinterfaces:
  `IActionDelegate`, `IWorkbenchWindowActionDelegate`

All Known Subinterfaces:
  `IWorkbenchWindowPulldownDelegate2`

All Known Implementing Classes:
  `AbstractLaunchHistoryAction`, `AbstractLaunchToolbarAction`, `LaunchAsAction`, `LaunchShortcutsAction`

public interface IWorkbenchWindowPulldownDelegate extends IWorkbenchWindowActionDelegate
Interface for a pulldown action that is contributed into the workbench window tool bar. It extends `IWorkbenchWindowActionDelegate` and adds an initialization method to define the menu creator for the action.

## Method Summary

Modifier and Type
Method
Description
`Menu`
`getMenu(Control parent)`
Returns the menu for this pull down action.

### Methods inherited from interface org.eclipse.ui.IActionDelegate

`run, selectionChanged`

### Methods inherited from interface org.eclipse.ui.IWorkbenchWindowActionDelegate

`dispose, init`

## Method Details

### getMenu

Menu getMenu(Control parent)
Returns the menu for this pull down action. This method will only be called if the user opens the pull down menu for the action. Note that it is the responsibility of the implementor to properly dispose of any SWT menus created by this method.

Parameters:
  `parent` - the control to set the menu on
Returns:
  the menu